* mergeGDXfiles.gms

* Create a set of scenarios. Choose the set element labels wisely as these set elements
* play a role in the merged GDX file. 
Set sc "Scenarios" / sc1  "Base case scenario"
                     sc2  "First scenario" / ;
 
File bat "A recyclable batch file" / "temp.bat" / ; bat.lw = 0 ;  

* Create a batch file to copy previously created GDX files to the names of the elements in set sc; execute
* the batch file, and then merge the copied GDX files.
putclose bat
  'del "sc1.gdx" /q' /
  'del "sc2.gdx" /q' /
  'copy "ex1.gdx" "sc1.gdx"' /
  'copy "ex2.gdx" "sc2.gdx"' /
  ;
execute 'temp.bat' ;
execute 'gdxmerge "sc1.gdx" "sc2.gdx" output="mergedResults.gdx" big=100000'
